# wxListbook Class Reference
[Book Controls]

`#include <wx/listbook.h>`

Inheritance diagram for wxListbook:
[legend]

## Detailed Description

wxListbook is a class similar to wxNotebook but which uses a wxListCtrl to show the labels instead of the tabs.

The underlying wxListCtrl displays page labels in a one-column report view by default. Calling wxBookCtrl::SetImageList will implicitly switch the control to use an icon view.

For usage documentation of this class, please refer to the base abstract class wxBookCtrl. You can also use the Notebook Sample to see wxListbook in action.

## Styles

This class supports the following styles:

- wxLB_DEFAULT:
  Choose the default location for the labels depending on the current platform (left everywhere except Mac where it is top).
- wxLB_TOP:
  Place labels above the page area.
- wxLB_LEFT:
  Place labels on the left side.
- wxLB_RIGHT:
  Place labels on the right side.
- wxLB_BOTTOM:
  Place labels below the page area.

## Events emitted by this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxBookCtrlEvent& event)
Event macros for events emitted by this class:

- EVT_LISTBOOK_PAGE_CHANGED(id, func):
  The page selection was changed. Processes a `wxEVT_COMMAND_LISTBOOK_PAGE_CHANGED` event.
- EVT_LISTBOOK_PAGE_CHANGING(id, func):
  The page selection is about to be changed. Processes a `wxEVT_COMMAND_LISTBOOK_PAGE_CHANGING` event. This event can be vetoed.

##

Library: wxCore

Category: Book Controls
Appearance:

wxMSW appearance | wxGTK appearance | wxMac appearance

See also:
  wxBookCtrl, wxNotebook, Notebook Sample

## Public Member Functions
| wxListbook ()
| Default ctor.
| wxListbook (wxWindow *parent, wxWindowID id, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name=wxEmptyString)
| Constructs a listbook control.
wxListView * | GetListView () const
| Returns the wxListView associated with the control.

List of all members.

## Constructor & Destructor Documentation

wxListbook::wxListbook | ( |  | ) |

Default ctor.

wxListbook::wxListbook | ( | wxWindow * | parent,
|  | wxWindowID | id,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `0`,
|  | const wxString & | name = `wxEmptyString` |
| ) |  |  |

Constructs a listbook control.

## Member Function Documentation

wxListView* wxListbook::GetListView | ( |  | ) | const

Returns the wxListView associated with the control.

|  | [ top ]